Wind River Support Network

HomeDefectsLIN5-21538
Fixed

LIN5-21538 : Security Advisory - gcc - CVE-2016-2226

Created: May 19, 2016    Updated: May 29, 2018
Resolved Date: Aug 11, 2016
Found In Version: 5.0.1.35
Fix Version: 5.0.1.37
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Toolchain

Description

A vulnerability was found in gcc. Specifically, it revolves around demangling while analysing the untrusted binaries. A particularly malicious attacker could craft an executable that executes when *analysed* by objdump, nm or gdb, or any other libbfd / libiberty - based forensics tool (if the demangling option is switched on).

External references:

https://gcc.gnu.org/bugzilla/show_bug.cgi?id=69687

References:

http://seclists.org/oss-sec/2016/q2/238

Upstream fix:

https://gcc.gnu.org/viewcvs/gcc?view=revision&revision=234829

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2226

Other Downloads


Live chat
Online